/** 
    @ Name : Careff Javascript Library 
    @ Author : 
    @ Date : 2017-5-1
    @ Email : 
    @ Version : 1.0 
    @ Update : 
    功能： 开始建立自己的JS类库，需要按照功能进行分类；
     */
(function () {
    if (!window.US) {
        window.US = {};
    };
    window.US = {
        NAME: "Us Framework",
        VERSION: '1.0',
        Date: '2017-05-01',
        /** 
             @ Name :1.基础类库名字空间 
             */
        BASIC: {
            $1: function () { //$()函数  
                var elements = new Array();
                for (var i = 0; i <= arguments.length; i++) {
                    var element = arguments[i];
                    //如果是一个字符串那假设它是一个ID  
                    if (typeof element == 'string') {
                        element = document.getElementById(element);
                    }
                    //如果只提供了一个参数,则立即返回这个参数  
                    if (arguments.length == 1) {
                        return element;
                    }
                    //否则，将它添加到数组中  
                    elements.push(element);
                }
                return elements;
            },
            /** 
             @ Name :显示进度条 
             @ Update : 
             功能： 显示时间进度条；
             */
            UsGetProcess: function (process, title) {
                var p = process;
                var imgName = "1";
                if (p < 50) {
                    imgName = "red";
                }
                else if (p < 70) {
                    imgName = "blue";
                }
                else if (p < 99) {
                    imgName = "green";
                }
                else {
                    imgName = "finish";
                }

                if (p > 100) {
                    p = 100;
                }
                if (p < 0) {
                    p = 0;
                }
                var html = '<table background="/upload/bar/' + imgName + '.jpg" width="' + p + '%" title="' + p + '%" height="10" class="tablebar1"><tr><td>' + title + '</td></tr></table>';
                return html;
            },
            /** 
             @ Name :转换字符为Float
             @ Update : 
             功能： 
             */
            UsToolsToFloat: function (src) {
                var ret = parseFloat(src);
                if (isNaN(ret)) {
                    return 0;
                }
                return ret;
            }
        }
        , /** 
             @ Name :2.HTTP请求类库
             */
        HTTP: {
            UsVerson: function () {
                return US.VERSION;
            }
        }
        , /** 
             @ Name :3.Cookies操作
             */
        COOKIES: {
            UsVerson: function () {
                return US.VERSION;
            }
        }
        , /** 
             @ Name :4.窗口操作
             */
        DIALOG: {
            UsVerson: function () {
                return US.VERSION;
            }
        }
    };

})();